#include <string.h>
#include "defines.h"

int fn_ext(oldpath,newpath,newext)
/* 拡張子補足：フルパス名補足付き */
unchar *oldpath,newpath[],*newext;
{
unchar drv[MAXDRIVE],dir[MAXDIR],fname[MAXFILE],ext[MAXEXT];
int ret=0;
	strsfn2(oldpath,drv,dir,fname,ext);
	/* 拡張子が全く無い時のみ補足：拡張子なしファイルはfname.で表わす */
	/* ファイル名後ろの'.'がポイント */
	if (ext[0]==0 && oldpath[strlen(oldpath)-1]!='.') ret=1;
	strmfn(newpath,drv,dir,fname,ret==1? newext:ext);
	return(ret);
}
